VERSION 5.00
Begin VB.Form frmAbout 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "About eNotes"
   ClientHeight    =   3615
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   6255
   ClipControls    =   0   'False
   BeginProperty Font 
      Name            =   "Tahoma"
      Size            =   8.25
      Charset         =   0
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   Icon            =   "frmAbout.frx":0000
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   241
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   417
   ShowInTaskbar   =   0   'False
   StartUpPosition =   2  'CenterScreen
   Begin VB.CommandButton cmdClose 
      Cancel          =   -1  'True
      Caption         =   "&Close"
      Height          =   375
      Left            =   4800
      TabIndex        =   5
      Top             =   3120
      Width           =   1335
   End
   Begin VB.CommandButton cmdGuestbook 
      Caption         =   "&Users"
      Height          =   375
      Left            =   2160
      TabIndex        =   4
      Top             =   3120
      Width           =   1335
   End
   Begin VB.CommandButton cmdCredits 
      Caption         =   "&Thanks to..."
      Height          =   375
      Left            =   720
      TabIndex        =   3
      Top             =   3120
      Width           =   1335
   End
   Begin VB.TextBox txtAbout 
      BackColor       =   &H00000000&
      BeginProperty Font 
         Name            =   "Courier New"
         Size            =   9
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H0000FF00&
      Height          =   2895
      Left            =   720
      Locked          =   -1  'True
      MultiLine       =   -1  'True
      ScrollBars      =   2  'Vertical
      TabIndex        =   2
      TabStop         =   0   'False
      Top             =   120
      Width           =   5415
   End
   Begin VB.PictureBox pctIcon 
      BorderStyle     =   0  'None
      Height          =   480
      Left            =   127
      ScaleHeight     =   32
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   32
      TabIndex        =   0
      TabStop         =   0   'False
      Top             =   240
      Width           =   480
   End
   Begin VB.Label lblProgress 
      Alignment       =   2  'Center
      AutoSize        =   -1  'True
      Caption         =   "100%"
      Height          =   195
      Left            =   150
      TabIndex        =   1
      Top             =   1320
      Width           =   435
   End
   Begin VB.Shape shpSemaphore 
      BackColor       =   &H0000FF00&
      BackStyle       =   1  'Opaque
      BorderColor     =   &H00000000&
      Height          =   255
      Left            =   240
      Shape           =   3  'Circle
      Top             =   960
      Visible         =   0   'False
      Width           =   255
   End
End
Attribute VB_Name = "frmAbout"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' eNotes v.1.0
' Copyright (C) 2003 TheLegs
'
' See basCommon.bas for details about the
' copyright notice and disclaimer.
'
Option Explicit
Private Declare Sub Sleep Lib "kernel32" (ByVal dwMilliseconds As Long)

Public StopTeletyping As Boolean

Public AboutMain As String
Public AboutCredits As String
Public AboutUsers As String

Sub Teletype(Text As String)
Dim CountUp As Long

    txtAbout = ""
    
    shpSemaphore.BackColor = &HFF&      ' Red
    
    For CountUp = 1 To Len(Text)
        If StopTeletyping = True Then Exit Sub
        txtAbout = txtAbout + Mid$(Text, CountUp, 1)
        lblProgress.Caption = StrX(Int(CountUp * 100 / Len(Text))) + "%"
        ' I remarked the following line because it makes the
        ' textbox flickering too much...
        '
        ' txtAbout.SelStart = Len(txtAbout) - 1
        Sleep 20
        DoEvents
    Next CountUp
    
    shpSemaphore.BackColor = &HFF00&    ' Green

End Sub

Private Sub cmdClose_Click()

    Unload Me

End Sub

Private Sub cmdCredits_Click()

    StopTeletyping = False
    Teletype AboutCredits
    StopTeletyping = True

End Sub

Private Sub cmdGuestbook_Click()

    StopTeletyping = False
    Teletype AboutUsers
    StopTeletyping = True

End Sub

Private Sub Form_Load()

    pctIcon.Picture = frmMain.Icon
    Me.Visible = True
    StopTeletyping = False
    
    ' Here initializes the strings
    AboutMain = App.Title + " " + StrX(App.Major) + "." + StrX(App.Minor) + "." + StrX(App.Revision) + vbCrLf + _
                App.FileDescription + vbCrLf + _
                App.LegalCopyright + vbCrLf + vbCrLf + _
                "This program is free software; you can redistribute it and/or " + _
                "modify it under the terms of the GNU General Public License as " + _
                "published by the Free Software Foundation; either version 2 of " + _
                "the License, or (at your option) any later version." + vbCrLf + vbCrLf + _
                "This program is distributed in the hope that it will be useful, " + _
                "but WITHOUT WARRANTY; without even the implied warranty of " + _
                "MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the " + _
                "GNU General Public License for more details." + vbCrLf + vbCrLf + _
                "You should have received a copy of the GNU General Public " + _
                "License along with this program; if not, write to the Free " + _
                "Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, " + _
                "MA 02111-1307, USA." + vbCrLf + vbCrLf + _
                "For further informations about this program please " + _
                "see the README.TXT file included in this package. " + vbCrLf + vbCrLf + _
                "WARNING: the original package includes this file, the README.TXT " + _
                "file, a copy of the GNU GPL and the source code together with " + _
                "some images. If you miss anything mail me and I'll tell you " + _
                "from where to download the complete package."
    
    AboutCredits = "I think I don't need to thank anyone for this work " + _
                    "as I've done everything by myself :)" + vbCrLf + vbCrLf + _
                    "However I would list some people who helped my " + _
                    "'spiritually' in the last times (unordered):" + vbCrLf + _
                    "Cru, Katabasi, Ard, OneWingedAngel (aka MegalaPatemata), " + _
                    "TheKing, Annibale, Libero Senso, Jeremy&Co., Kyho&Co., " + _
                    "Ulizz, otal, the i.b.d and f.i.u.b.i users, Gigerminx, " + _
                    "Raziel, S-Connection, Pippo, Miky, Kekko, Gianni, Poppy, " + _
                    "Pat, Adele, Giulio, Eukanuba ;), Bob aka Barone, Ros&Jet, " + _
                    "SborgyX, S[x]o, and the 79 teachers' group ;)" + vbCrLf + vbCrLf + _
                    "<EOF>"
    
    AboutUsers = "The following is a list of users who used this program and " + _
                    "enjoyed it. If you are among them just send me a mail " + _
                    "(enotes@tahome.cjb.net) and tell me the name or nickname " + _
                    "you want to add." + vbCrLf + vbCrLf + _
                    "[OfCourseThisListIsEmptyUpToThisMoment :)]"
    
    shpSemaphore.Visible = True
    Teletype AboutMain

End Sub

Private Sub Form_Unload(Cancel As Integer)

    StopTeletyping = True

End Sub

Private Sub pctIcon_Click()

    StopTeletyping = False
    Teletype AboutMain
    StopTeletyping = True

End Sub
