VERSION 5.00
Begin VB.Form frmNote 
   BorderStyle     =   0  'None
   Caption         =   "eNotes"
   ClientHeight    =   3000
   ClientLeft      =   0
   ClientTop       =   0
   ClientWidth     =   3000
   BeginProperty Font 
      Name            =   "Tahoma"
      Size            =   8.25
      Charset         =   0
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   Icon            =   "frmNote.frx":0000
   MaxButton       =   0   'False
   MinButton       =   0   'False
   Picture         =   "frmNote.frx":000C
   ScaleHeight     =   200
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   200
   ShowInTaskbar   =   0   'False
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdExit 
      Height          =   255
      Left            =   2745
      MaskColor       =   &H00FFFFFF&
      Picture         =   "frmNote.frx":0446
      Style           =   1  'Graphical
      TabIndex        =   2
      ToolTipText     =   "Close"
      Top             =   15
      UseMaskColor    =   -1  'True
      Width           =   255
   End
   Begin VB.CommandButton cmdExport 
      Height          =   255
      Left            =   2265
      MaskColor       =   &H00FFFFFF&
      Picture         =   "frmNote.frx":04CC
      Style           =   1  'Graphical
      TabIndex        =   1
      ToolTipText     =   "Save to text file"
      Top             =   15
      UseMaskColor    =   -1  'True
      Width           =   495
   End
   Begin VB.TextBox txtNote 
      ForeColor       =   &H00000000&
      Height          =   2745
      Left            =   0
      MultiLine       =   -1  'True
      ScrollBars      =   2  'Vertical
      TabIndex        =   0
      Text            =   "frmNote.frx":0552
      Top             =   255
      Width           =   3000
   End
End
Attribute VB_Name = "frmNote"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' eNotes v.1.0
' Copyright (C) 2003 TheLegs
'
' See basCommon.bas for details about the
' copyright notice and disclaimer.
'
Option Explicit

' These variables are used to make the
' form movable by clicking in any point
' of the form.
'
Public MouseIsDragging As Boolean   ' =True on MouseDown
Public MouseOriginalX As Long       ' Sets X before MouseDown
Public MouseOriginalY As Long       ' Sets Y before MouseDown
Public MouseAntiflood As Boolean

Private Sub cmdExit_Click()

    Unload Me

End Sub

Private Sub cmdExport_Click()
Dim OutputFile As String
Dim Msg As String

    Msg = "Enter a valid file name to which export the note in text format." + vbCr + _
            "If you don't indicate any other directory, the file will be saved" + vbCr + _
            "in the current one shown below." + vbCrLf + vbCrLf + _
            "WARNING: eNotes will overwrite existing files without asking confirmation!"

    OutputFile = InputBox(Msg, "Export to file...", CurDir)
    If LTrim$(OutputFile) = "" Then Exit Sub
    
    Open OutputFile For Output Lock Write As #1
    Print #1, txtNote.Text
    Close #1
    MsgBox "Note successfully exported to " + OutputFile, vbInformation


End Sub

Private Sub Form_Load()

    DoEvents
    txtNote.SelStart = 0
    txtNote.SelLength = Len(txtNote)
    
    MouseIsDragging = False
    
End Sub

Private Sub Form_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
    
    If MouseIsDragging = False Then
        MouseIsDragging = True
    End If
    
End Sub

Private Sub Form_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)

    If MouseAntiflood = False Then
        MouseAntiflood = True
        DoEvents
        If MouseIsDragging = False Then
            MouseOriginalY = Y
            MouseOriginalX = X
        Else
            Me.Top = Me.Top + Y - MouseOriginalY
            Me.Left = Me.Left + X - MouseOriginalX
        End If
        MouseAntiflood = False
    End If

End Sub

Private Sub Form_MouseUp(Button As Integer, Shift As Integer, X As Single, Y As Single)

    MouseIsDragging = False

End Sub

Private Sub Form_Unload(Cancel As Integer)
    
    NoteCount = NoteCount - 1
    frmMain.lblStatus = StrX(NoteCount)

End Sub
